Skip to content
Coritan Docs

Organization API: Customer Portal: Shield

The 6 Organization API operations for shield.

View as Markdown

Part of Customer Portal.

GET /api/v1/orgs/{org_slug}/portal/shield/events

Name In Type Required Description
org_slug path string yes
limit query integer no Default: 50.
ip_service_id query integer or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/portal/shield/status

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/portal/shield/subjects/{ip_service_id}/profile

Name In Type Required
ip_service_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Promote subject to a customer-editable custom profile (idempotent)

Section titled Promote subject to a customer-editable custom profile (idempotent)

PATCH /api/v1/orgs/{org_slug}/portal/shield/subjects/{ip_service_id}/profile

Promote subject to a customer-editable custom profile (idempotent).

Name In Type Required
ip_service_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/portal/shield/subjects/{ip_service_id}/rules

Name In Type Required
ip_service_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
name string no
enabled boolean no
action string no
protocol integer or null no
src_prefix string or null no
dst_prefix string or null no
src_port_min integer or null no
src_port_max integer or null no
dst_port_min integer or null no
dst_port_max integer or null no
tcp_flags_mask integer or null no
tcp_flags_value integer or null no
packet_len_min integer or null no
packet_len_max integer or null no
ttl_min integer or null no
ttl_max integer or null no
icmp_type integer or null no
icmp_code integer or null no
rate_limit_pps integer or null no
notes string or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/portal/shield/subjects/{ip_service_id}/rules/{rule_id}

Name In Type Required
ip_service_id path integer yes
rule_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.